Ask a Question

What editor can support the latest OAS 3.23.x?

btalebpour
New Contributor

What editor can support the latest OAS 3.23.x?

Hi there,

 

I am wondering how I can verify my swagger documentation based on the latest OAS version. I know about the swagger editor which is available online (https://editor.swagger.io) and the npm package of the same editor (https://www.npmjs.com/package/swagger-editor/v/3.6.34) but the problem with both have is that they only support Open API 3.0.x or Open API 3.1.x respectively. However, there are some new features (like oneOf, anyOf, etc) that I'd like to use in my documentation, and would like to have the validation feature to make sure everything looks fine.

Apart from validation, I believe these editors cannot also parse those features in their UI to see the result properly.

0 REPLIES 0
cancel
Showing results for 
Search instead for 
Did you mean: